use std::collections::HashMap;

use crate::Answer;

pub fn analyze_frequencies(answers: Vec<Answer>) -> HashMap<String, u16> {
    let mut out: HashMap<String, u16> = HashMap::new();

    for answer in answers {
        for word in answer.content.replace("\n", " ").split_whitespace() {
            out.entry(word.to_string())
                .and_modify(|count| *count += 1)
                .or_insert(1);
        }
    }

    out
}
